import { Modal } from "react-native";
import React from "react";

const MyModal = ({ children, openModal, setOpenModal, type = "slide" }) => {
  return (
    <Modal
      animationType={type}
      transparent={true}
      visible={openModal}
      onRequestClose={() => {
        setOpenModal(!openModal);
      }}
    >
      {children}
    </Modal>
  );
};

export default MyModal;
